Patches for aports can be sent to this list

[alpine-aports] [PATCH] testing/php-libsodium: new aport

Ben Reichert
Details
Message ID
<1468598794-91816-1-git-send-email-ben@tozny.com>
Sender timestamp
1468598794
DKIM signature
missing
Download raw message
Patch: +42 -0
https://github.com/jedisct1/libsodium-php
php wrapper for libsodium library
---
 testing/php-libsodium/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/php-libsodium/APKBUILD

diff --git a/testing/php-libsodium/APKBUILD b/testing/php-libsodium/APKBUILD
new file mode 100644
index 0000000..c0d885c
--- /dev/null
+++ b/testing/php-libsodium/APKBUILD
@@ -0,0 +1,42 @@
+# Packager: Ben Reichert <ben@tonzy.com>
+pkgname=php-libsodium
+pkgver=1.0.6
+pkgrel=0
+pkgdesc="php wrapper for libsodium library"
+url="https://github.com/jedisct1/libsodium-php"
+arch="all"
+license="ISC"
+depends="libsodium php"
+depends_dev=""
+makedepends="libsodium-dev libc-dev gcc make autoconf php-dev"
+install=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/jedisct1/libsodium-php/archive/1.0.6.tar.gz"
+pkgdir="$srcdir/pkg"
+
+_builddir="$srcdir/libsodium-php-$pkgver"
+prepare() {
+        local i
+        cd "$_builddir"
+}
+
+build() {
+        cd "$_builddir"
+        phpize --clean || return 1
+        phpize  || return 1
+	EXTENSION_DIR="$_builddir/tmp"
+        ./configure --prefix=/usr/ || return 1
+        make || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+        cd "$pkgdir"
+	mkdir -p "$pkgdir/etc/php/conf.d/"
+	mkdir -p "$pkgdir/usr/lib/php/modules/"
+	install -Dm755 "$_builddir/modules/libsodium.so" "$pkgdir/usr/lib/php/modules"
+	echo "extension=libsodium.so" >> "$pkgdir/etc/php/conf.d/libsodium.ini"
+}
+
+md5sums="30584a13fda5d4767cffb52c641ffc9b  php-libsodium-1.0.6.tar.gz"
+sha256sums="537944529e7c591e4bd6c73f37e926e538e8ff1f6384747c301436fb78269b9c  php-libsodium-1.0.6.tar.gz"
+sha512sums="8ac239d4573988a1f208bb9442aa982304ade7f419e53a56f00de73972717c3336c74563a92bf4b17d3573503468677a24f7d0cd87f1c8f91095b75b8aa19740  php-libsodium-1.0.6.tar.gz"
-- 
2.7.4 (Apple Git-66)



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---